GDCM 2.2.1

- Main Page
- Related Pages
- Namespaces
- Classes
- Files
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
gdcm::IconImageFilter Class Reference

IconImageFilter This filter will extract icons from a gdcm::File This filter will loop over all known sequence (public and private) that may contains an IconImage and retrieve them. The filter will fails with a value of false if no icon can be found Since it handle both public and private icon type, one should not assume the icon is in uncompress form, some private vendor store private icon in JPEG8/JPEG12. More...

`#include <gdcmIconImageFilter.h>`

## Public Member Functions

| IconImageFilter ()
| ~IconImageFilter ()
bool | Extract ()
| Extract all Icon found in File.
File & | GetFile ()
const File & | GetFile () const
IconImage & | GetIconImage (unsigned int i) const
unsigned int | GetNumberOfIconImages () const
| Retrieve extract IconImage (need to call Extract first)
void | SetFile (const File &f)
| Set/Get File.

## Protected Member Functions

void | ExtractIconImages ()
void | ExtractVeproIconImages ()

## Detailed Description

IconImageFilter This filter will extract icons from a gdcm::File This filter will loop over all known sequence (public and private) that may contains an IconImage and retrieve them. The filter will fails with a value of false if no icon can be found Since it handle both public and private icon type, one should not assume the icon is in uncompress form, some private vendor store private icon in JPEG8/JPEG12.

Implementation details: This filter supports the following Icons:

- (0088,0200) Icon Image Sequence
- (0009,10,GEIIS) GE IIS Thumbnail Sequence
- (6003,10,GEMS_Ultrasound_ImageGroup_001) GEMS Image Thumbnail Sequence
- (0055,30,VEPRO VIF 3.0 DATA) Icon Data
- (0055,30,VEPRO VIM 5.0 DATA) ICONDATA2

Warning
  the icon stored in those private attribute do not conform to definition of Icon Image Sequence (do not simply copy/paste). For example some private icon can be expressed as 12bits pixel, while the DICOM standard only allow 8bits icons.

See Also
  ImageReader

Examples:
  ExtractIconFromFile.cxx.

## Constructor & Destructor Documentation

gdcm::IconImageFilter::IconImageFilter | ( |  | ) |

gdcm::IconImageFilter::~IconImageFilter | ( |  | ) |

## Member Function Documentation

bool gdcm::IconImageFilter::Extract | ( |  | ) |

Extract all Icon found in File.

Examples:
  ExtractIconFromFile.cxx.

void gdcm::IconImageFilter::ExtractIconImages | ( |  | ) |

protected

void gdcm::IconImageFilter::ExtractVeproIconImages | ( |  | ) |

protected

File& gdcm::IconImageFilter::GetFile | ( |  | ) |

inline

const File& gdcm::IconImageFilter::GetFile | ( |  | ) | const

inline

IconImage& gdcm::IconImageFilter::GetIconImage | ( | unsigned int | i | ) | const

Examples:
  ExtractIconFromFile.cxx.

unsigned int gdcm::IconImageFilter::GetNumberOfIconImages | ( |  | ) | const

Retrieve extract IconImage (need to call Extract first)

Examples:
  ExtractIconFromFile.cxx.

void gdcm::IconImageFilter::SetFile | ( | const File & | f | ) |

inline

Set/Get File.

Examples:
  ExtractIconFromFile.cxx.

The documentation for this class was generated from the following file:

- gdcmIconImageFilter.h